Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		stellarium
Version:	0.9.1
Release:	2
License:	GNU/GPL 
URL:		http://stellarium.sourceforge.net/
Group:		Education
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A 3D astronomical sky renderer.
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:	SDL-devel 
BuildRequires:  SDL_mixer-devel 
BuildRequires:  libpng-devel 
BuildRequires:  libstdc++-devel 
BuildRequires:  glibc-devel 
BuildRequires:  freetype-devel
BuildRequires:  zlib-devel
BuildRequires:	qt4-devel libX11-devel libXext-devel libXi-devel 
BuildRequires:	libXmu-devel libXt-devel curl-devel
BuildConflicts: xorg-x11-drv-nvidia

%description
Stellarium renders 3D photo-realistic skies in real time with OpenGL.
It displays stars, constellations, planets, nebulas and others things like ground, landscape, fog, etc.
For more details see: http://stellarium.sourceforge.net/

%prep
%setup -n %{name}-%{version}

%build
export PATH="/opt/qt4/bin:$PATH"
cp /usr/share/automake-1.10/mkinstalldirs ./
#./autogen.sh --prefix=%_prefix --mandir=%_mandir
#./configure --prefix=%_prefix --mandir=%_mandir --with-qt42=yes --with-qt-dir=/opt/qt4/
cmake . -DCMAKE_INSTALL_PREFIX=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/{applications,pixmaps}
cp %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications
cp %{SOURCE2} $RPM_BUILD_ROOT%_datadir/pixmaps

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-2
- rebuilt against libstdc++ 1:4.1.2
* Fri Jan 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-1
- version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.9.0-2
- rebuild against curl 7.17.7
* Thu Aug 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.9.0-1
- version update
* Tue Dec 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.2-1
- version update
* Sun Jun 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-1
- version update
* Mon Sep 12 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.0-1
- Initial Release  
